/* Copyright Andrey N. Kuznetsov (Андрей Николаевич Кузнецов), linmedsoft@narod.ru
06.08.2008-12.06.2008, Almaty

Internationalization template.

This programme (template) is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.
This programme is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this programme.  */
//---------------------------------------------------------------------------
#ifndef _TMainForm_h_
#define _TMainForm_h_
//---------------------------------------------------------------------------
#include <qmainwindow.h>
//---------------------------------------------------------------------------
class QTranslator;
class QAction;
class QPopupMenu;
//---------------------------------------------------------------------------
class TMainForm : public QMainWindow
{
    Q_OBJECT
    
    public:
        TMainForm(QWidget* pParent = 0, const char* psName = "MainForm", WFlags Flag = WType_TopLevel);
        ~TMainForm();
    
    private:
        QTranslator* pTranslator;
        QString sLocale;
        
        QAction* pFileExitAction;
        
        QAction* pHelpAboutQtAction;

        QPopupMenu* pFileMenu;
        QPopupMenu* pLanguageMenu;
        QPopupMenu* pHelpMenu;
    
    protected slots:
        QString LoadLanguageSettingsSlot();
        void CreateActionsSlot();
        void CreateMenusSlot();
        void SetStringsSlot();
        void SwitchLanguageSlot(int);
        void SaveLanguageSettingsSlot(QString&);
        
        void HelpAboutQtSlot();
};
//---------------------------------------------------------------------------
#endif
